This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 633406 - the krb5 locator plugin isn't packaged for multilib
the krb5 locator plugin isn't packaged for multilib
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sssd (Show other bugs)
6.0
All Linux
urgent Severity urgent
: rc
: ---
Assigned To: Stephen Gallagher
Chandrasekar Kannan
: ZStream
Depends On: 632615
Blocks: 636823 637070
  Show dependency treegraph
 
Reported: 2010-09-13 13:46 EDT by Stephen Gallagher
Modified: 2015-01-04 18:43 EST (History)
11 users (show)

See Also:
Fixed In Version: sssd-1.2.1-29.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 632615
: 636823 (view as bug list)
Environment:
Last Closed: 2011-05-19 07:39:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stephen Gallagher 2010-09-13 13:46:23 EDT
The short summary is that our Kerberos locator plugin needs to be moved
into the sssd-client package so that we can install both the 32-bit and
64-bit versions of it on 64-bit systems. This way, 32-bit programs
running on a 64-bit OS can still use Kerberos with SSSD.

It is similar to the reasoning why the NSS and PAM modules are in a
multilib package.



+++ This bug was initially created as a clone of Bug #632615 +++

On my x86_64 machine, if I have both 64- and 32-bit versions of libkrb5 installed, only the 64-bit libkrb5 can use SSSD's locator plugin because it's part of the 'sssd' package and we don't provide both a 64- and 32-bit version of it.

If installing both versions of sssd at the same time is normal and works properly, then I think this will be fixed automatically when we fix bug #632611, otherwise I'd suggest moving the plugin to the -clients subpackage.
Comment 5 Gowrishankar Rajaiyan 2011-03-10 02:28:20 EST
[root@rhel61 ~]# rpm -ql sssd | grep sssd_krb5_locator_plugin.8.gz

[root@rhel61 ~]# rpm -ql sssd | grep sssd_krb5_locator_plugin.so

[root@rhel61 ~]# rpm -ql sssd-client | grep sssd_krb5_locator_plugin.8.gz
/usr/share/man/man8/sssd_krb5_locator_plugin.8.gz

[root@rhel61 ~]# rpm -ql sssd-client | grep sssd_krb5_locator_plugin.so
/usr/lib64/krb5/plugins/libkrb5/sssd_krb5_locator_plugin.so

[root@rhel61 ~]# rpm -qi sssd | head
Name        : sssd                         Relocations: (not relocatable)
Version     : 1.5.1                             Vendor: Red Hat, Inc.
Release     : 13.el6                        Build Date: Tue 08 Mar 2011 10:25:44 PM IST
Install Date: Wed 09 Mar 2011 07:17:15 PM IST      Build Host: x86-005.build.bos.redhat.com
Group       : Applications/System           Source RPM: sssd-1.5.1-13.el6.src.rpm
Size        : 3418301                          License: GPLv3+
Signature   : (none)
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://fedorahosted.org/sssd/
Summary     : System Security Services Daemon

# rpm -qi sssd-client | head
Name        : sssd-client                  Relocations: (not relocatable)
Version     : 1.5.1                             Vendor: Red Hat, Inc.
Release     : 13.el6                        Build Date: Tue 08 Mar 2011 10:25:44 PM IST
Install Date: Wed 09 Mar 2011 07:16:37 PM IST      Build Host: x86-005.build.bos.redhat.com
Group       : Applications/System           Source RPM: sssd-1.5.1-13.el6.src.rpm
Size        : 102754                           License: LGPLv3+
Signature   : (none)
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://fedorahosted.org/sssd/
Summary     : SSSD Client libraries for NSS and PAM
Comment 6 errata-xmlrpc 2011-05-19 07:39:31 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0560.html
Comment 7 errata-xmlrpc 2011-05-19 09:08:42 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0560.html

Note You need to log in before you can comment on or make changes to this bug.